package com.cqcca.jni;

import lombok.extern.slf4j.Slf4j;

import java.util.ResourceBundle;

@Slf4j
public class QR {
    private QR() {
    }

    private static void loadQRCom() {
        String qrComDir = ResourceBundle.getBundle("QRCom").getString("QRCom.dir");
        if (System.getProperty("sun.arch.data.model").equals("32")) {
            System.load(qrComDir + "/QRCom.dll");
        } else {
            System.load(qrComDir + "/QRCom_x64.dll");
        }
    }

    private static native String GenQR(String var1);

    private static native String DESEncrypt(String var1);

    private static native String DESDecrypt(String var1);

    public static String doGenQR(String var1) {
        loadQRCom();
        return GenQR(var1);
    }

    public static String doDESEncrypt(String var1) {
        loadQRCom();
        return DESEncrypt(var1);
    }

    public static String doDESDecrypt(String var1) {
        loadQRCom();
        return DESDecrypt(var1);
    }
}
